Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
sensors::Switch Interface Reference

Switch is an actuator and an extension to StateSensor. More...

Inheritance diagram for sensors::Switch:

## Classes
struct | SwitchEvent
| SwitchEvent: new state set to switch via setState. More...

## Public Member Functions
int | setState (in int newState)
| This method outputs the given value. More...
Public Member Functions inherited from sensors::StateSensor
State | getState ()
| Get the sensor state. More...
Public Member Functions inherited from sensors::Sensor
TypeSpec | getTypeSpec ()
| Retrieve the sensor type specification. More...
boolean | isTypeChangeAllowed ()
| Check whether the sensor type can be changed using setType(). More...
int | setType (in int type, in int unit)
| Set sensor type and unit. More...

## Public Attributes
constant int | ERR_INVALID_PARAMETER = 1
constant int | ERR_NOT_AVAILABLE = 2
constant int | ERR_PDC_POWER_LIMIT = 3
Public Attributes inherited from sensors::Sensor
constant int | ERR_NOT_SUPPORTED = 1
| The operation is not supported.
constant int | NUMERIC = 0
| Sensor reading type
constant int | DISCRETE_ON_OFF = 1
constant int | DISCRETE_MULTI = 2
constant int | UNSPECIFIED = 0
| Sensor type
constant int | VOLTAGE = 1
constant int | CURRENT = 2
constant int | UNBALANCE_CURRENT = 3
constant int | POWER = 4
constant int | POWER_FACTOR = 5
constant int | ENERGY = 6
constant int | FREQUENCY = 7
constant int | TEMPERATURE = 8
constant int | HUMIDITY = 9
constant int | AIR_FLOW = 10
constant int | AIR_PRESSURE = 11
constant int | CONTACT_CLOSURE = 12
constant int | ON_OFF_SENSOR = 13
constant int | TRIP_SENSOR = 14
constant int | VIBRATION = 15
constant int | WATER_LEAK = 16
constant int | SMOKE_DETECTOR = 17
constant int | TOTAL_HARMONIC_DISTORTION = 18
constant int | MASS = 19
constant int | ELECTRICAL_RESISTANCE = 20
constant int | FLUX = 21
constant int | LUMINOUS_INTENSITY = 22
constant int | ACCELERATION = 23
constant int | MAGNETIC_FLUX_DENSITY = 24
constant int | ELECTRIC_FIELD_STRENGTH = 25
constant int | MAGNETIC_FIELD_STRENGTH = 26
constant int | ANGLE = 27
constant int | SELECTION = 28
constant int | FAULT_STATE = 29
constant int | POWER_QUALITY = 30
constant int | ROTATIONAL_SPEED = 31
constant int | LUMINOUS_ENERGY = 32
constant int | LUMINOUS_FLUX = 33
constant int | ILLUMINANCE = 34
constant int | LUMINOUS_EMITTANCE = 35
constant int | MOTION = 36
constant int | OCCUPANCY = 37
constant int | TAMPER = 38
constant int | DRY_CONTACT = 39
constant int | POWERED_DRY_CONTACT = 40
constant int | ABSOLUTE_HUMIDITY = 41
constant int | DOOR_STATE = 42
constant int | DOOR_LOCK_STATE = 43
constant int | DOOR_HANDLE_LOCK = 44
constant int | CREST_FACTOR = 45
constant int | DISTANCE = 46
constant int | LENGTH = 47
constant int | UNBALANCE_VOLTAGE = 48
constant int | PARTICLE_DENSITY = 49
constant int | DEW_POINT = 50
constant int | ELECTRICAL_IMPEDANCE = 51
constant int | NONE = 0
| Sensor unit
constant int | VOLT = 1
constant int | AMPERE = 2
constant int | WATT = 3
constant int | VOLT_AMP = 4
constant int | WATT_HOUR = 5
constant int | VOLT_AMP_HOUR = 6
constant int | DEGREE_CELSIUS = 7
constant int | HZ = 8
constant int | PERCENT = 9
constant int | METER_PER_SEC = 10
constant int | PASCAL = 11
constant int | G = 12
constant int | RPM = 13
constant int | METER = 14
constant int | HOUR = 15
constant int | MINUTE = 16
constant int | SECOND = 17
constant int | VOLT_AMP_REACTIVE = 18
constant int | VOLT_AMP_REACTIVE_HOUR = 19
constant int | GRAM = 20
constant int | OHM = 21
constant int | LITERS_PER_HOUR = 22
constant int | CANDELA = 23
constant int | METER_PER_SQUARE_SEC = 24
constant int | METER_PER_SQARE_SEC = 24
constant int | TESLA = 25
constant int | VOLT_PER_METER = 26
constant int | VOLT_PER_AMPERE = 27
constant int | DEGREE = 28
constant int | DEGREE_FAHRENHEIT = 29
constant int | KELVIN = 30
constant int | JOULE = 31
constant int | COULOMB = 32
constant int | NIT = 33
constant int | LUMEN = 34
constant int | LUMEN_SECOND = 35
constant int | LUX = 36
constant int | PSI = 37
constant int | NEWTON = 38
constant int | FOOT = 39
constant int | FOOT_PER_SEC = 40
constant int | CUBIC_METER = 41
constant int | RADIANT = 42
constant int | STERADIANT = 43
constant int | HENRY = 44
constant int | FARAD = 45
constant int | MOL = 46
constant int | BECQUEREL = 47
constant int | GRAY = 48
constant int | SIEVERT = 49
constant int | G_PER_CUBIC_METER = 50
constant int | UG_PER_CUBIC_METER = 51

## Additional Inherited Members
Public Types inherited from sensors::Sensor
enum | OnOffState { OFF , ON }
| Sensor states for DISCRETE_ON_OFF sensors. More...
enum | OpenClosedState { OPEN , CLOSED }
enum | NormalAlarmedState { NORMAL , ALARMED }
enum | OkFaultState { OK , FAULT }

## Detailed Description

Switch is an actuator and an extension to StateSensor.

An actuator actively outputs its state. In case of a Dry-Contact, for instance, the switch may output ON or OFF. Because Switch is a StateSensor it is also possible to query the actual state of the Switch. The type of switch is determined by the sensor's TypeSpec

## Member Function Documentation

## ◆ setState()

int sensors::Switch::setState | ( | in int | newState | ) |

This method outputs the given value.

The int input value is the counterpart of the value returned by StateSensor's getState method. Valid values are determined by the StateSensor's TypeSpec

Parameters

  newState | the new state the switch shall switch to

Returns
  0 if OK
  ERR_INVALID_PARAMETER if invalid parameter
  ERR_NOT_AVAILABLE if unable to set new state

The documentation for this interface was generated from the following file:

- Switch.idl